# DIDs

- [Create a DID](https://docs.cheqd.io/product/api-reference/dids/create.md): Create a DID and DID Document using cheqd Studio.
- [Update a DID](https://docs.cheqd.io/product/api-reference/dids/update.md): Update a DID Document using cheqd Studio.
- [Import a DID](https://docs.cheqd.io/product/api-reference/dids/import.md): Import a DID into cheqd Studio.
- [Deactivate a DID](https://docs.cheqd.io/product/api-reference/dids/deactivate.md): Deactivate a DID and DID Document using cheqd Studio.
- [Resolve a DID](https://docs.cheqd.io/product/api-reference/dids/resolve.md): Resolve or search for specific DIDs using cheqd Studio.
- [List DIDs](https://docs.cheqd.io/product/api-reference/dids/list.md): List created DIDs using cheqd Studio.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cheqd.io/product/api-reference/dids.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
